function [filter,success] = make_firqnt_filter()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
success = 1;
filter =0;

%meth_hndl = findobj(gcbf , 'Tag' ,'pop_method');
type_hndl = findobj(gcbf , 'Tag' ,'pop_type');
firqnt_win_hndl = findobj(gcbf , 'Tag' ,'list_firqnt_win');
order_hndl = findobj(gcbf , 'Tag' , 'Slider_order');
f1_hndl = findobj(gcbf , 'Tag' ,'slid_f1');
f2_hndl = findobj(gcbf , 'Tag' ,'slid_f2');

%fil_meth = get (meth_hndl , 'UserData');
fil_type = get (type_hndl , 'UserData');
fil_ord = get (order_hndl , 'UserData');
fil_f1 = get (f1_hndl , 'UserData');
fil_f2 = get (f2_hndl , 'UserData');
fil_firqnt_win = get (firqnt_win_hndl , 'UserData');

%checking of order is correct
if ( isempty (fil_ord) | fil_ord <=0 ) 
   errordlg ('Please Enter valid filter order');
   success = 0;
   return;
end

%checking of frequency points are correctly given
if ( not (isempty(fil_f2)))
   if (fil_f1 >= fil_f2)
      errordlg('Freq1 shud be < Freq2');
      success = 0;
      return;
   end
end

fil_freq = [fil_f1 fil_f2];
    



%switch (fil_meth)
 
%case('firqnt_windofirqnt_wing'),

if (  strcmp(fil_type,'high') | strcmp( fil_type,'stop') )  
      if ( mod(fil_ord,2) )
        	errordlg('HPF/BRF cannot have odd order');
	      success =0;
   	   return;
	   end
   end
   
   filter = firqnt_win ( fil_type , fil_firqnt_win , fil_ord , fil_freq);
   
qnt_hndl = findobj (gcbf , 'Tag', 'Pop_qnt');
qnt_val = get (qnt_hndl,'Userdata');

if (isempty (qnt_val))
   return;
end

filter = firqnt_trunc ( filter , qnt_val);
   
   

   
	